Subject: Re: [tram] STUN-bis adoption call

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Sat, 1 Nov 2014 13:03:00 +0000

+1

I support adoption of the document as WG draft.

From: Oleg Moskalenko <[email-masked]<mailto:[email-masked]>>
Date: Friday, 31 October 2014 10:07 pm
To: "Pal Martinsen (palmarti)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [tram] STUN-bis adoption call

+1

On Fri, Oct 31, 2014 at 9:02 AM, Pal Martinsen (palmarti) <[email-masked]<mailto:[email-masked]>> wrote:
+1 to adoption.

.-.
Pål-Erik

On 30 Oct 2014, at 22:54, Brandon Williams <[email-masked]<mailto:[email-masked]>> wrote:

Thanks for that clarification on intent.

It allows me to give an unambiguous

+1 on adoption

--Brandon

On 10/29/2014 02:21 AM, Gonzalo Salgueiro (gsalguei) wrote:
Brandon -

You raise a valid point that bears some clarification.  For the purposes of WG adoption, let's focus on agreeing to the list of items we want to tackle.  Once we have a WG draft, we can iterate on the actual text to ensure we have text that is representative of WG consensus.

Cheers,

Gonzalo

On Oct 27, 2014, at 10:19 AM, Brandon Williams <[email-masked]<mailto:[email-masked]>> wrote:

On 10/24/2014 11:10 PM, Tirumaleswar Reddy (tireddy) wrote:
Regarding fragmentation (item 5) ... I don't see any substantive changes. I
don't see anything about this in appendix B.2, so I don't think I'm missing
anything.
There were discussions about fragmentation support in the list sometime back but without any conclusions.
Please provide more details.

My primary point is that improved guidance on fragmentation and message sizes is one of the things on the list of open items and it doesn't appear that any changes have been made yet. I mostly wanted to confirm that there isn't something about this already in the document that I'm not seeing.

--Brandon

--
Brandon Williams; Senior Principal Software Engineer
Emerging Products Engineering; Akamai Technologies Inc.

_______________________________________________
tram mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tram

--
Brandon Williams; Senior Principal Software Engineer
Emerging Products Engineering; Akamai Technologies Inc.

_______________________________________________
tram mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tram

_______________________________________________
tram mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/tram

---

From: "Prashanth Patil (praspati)" <[email-masked]>
Date: Mon, 3 Nov 2014 15:30:37 +0000

+1 on adoption.

-Prashanth

On 10/31/14 3:24 AM, "Brandon Williams" <[email-masked]>
wrote:

>> You raise a valid point that bears some clarification.  For the
>>purposes of WG adoption, let's focus on agreeing to the list of items we
>>want to tackle.  Once we have a WG draft, we can iterate on the actual
>>text to ensure we have text that is representative of WG consensus.
>>
>> Cheers,
>>
>> Gonzalo
>>
>>
>>
>>> On Oct 27, 2014, at 10:19 AM, Brandon Williams
>>><[email-masked]> wrote:
>>>
>>>> There were discussions about fragmentation support in the list
>>>>sometime back but without any conclusions.
>>> My primary point is that improved guidance on fragmentation and
>>>message sizes is one of the things on the list of open items and it
>>>doesn't appear that any changes have been made yet. I mostly wanted to
>>>confirm that there isn't something about this already in the document
>>>that I'm not seeing.
>>>
>>> --Brandon
>>>
>>> --
>>> [email-masked]
>[email-masked]

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 4 Nov 2014 05:47:03 +0000

Support adoption of the draft and expecting that below issues will be resolved in the next revision.

-Tiru

From: tram [mailto:[email-masked]] On Behalf Of Simon Perreault
Sent: Friday, October 24, 2014 6:21 PM
To: [email-masked]
Subject: [tram] STUN-bis adoption call

TRAMsters,

This email starts a two-week adoption call for draft-salgueiro-tram-stunbis-02<http://datatracker.ietf.org/doc/draft-salgueiro-tram-stunbis/> to fulfill the STUN-bis milestone that we have.

Let's focus the discussion on the high-level direction this draft is going. If you agree or disagree with it, please explain why. The authors have provided a list of the top issues to help focus this discussion. Please also see Appendix B in the draft.

   1.   STUN hash algorithm agility (currently only SHA-1 is allowed) with a new message-integrity attribute (following 16.3).

   2.   Integrate RFC 5769 (stun vectors) as examples

   3.   Integrate RFC 7350 (dtls) and RFC 7064 (URI)

   4.   Clarify text on RTP caching in section 7.2.1..

   5.   Clarify terminology, text and guidance for STUN fragmentation.

   6.   Fix bug on retransmission RTO in section 7.2.

   7.   Address existing errata (2010, 2972, 3737).

   8.   Fix bug on retransmission RTO in section 7.2.

   9.  Clarify whether it's valid to share nonces across TURN
        allocations.  Clarify nonce behavior for both invalid and
        expired nonces.  Right now only expired nonces are described.
        Define a new "invalid nonce" error code (presumably 438)

Please send your comments before November 7, 2014.

Thanks,
Simon & Gonzalo